Occupations

Create Occupation

POST
/orgs/{organizationId}/occupations

Creates a new occupation (optional description, paid until and invoiced until).

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
customerId*string
terrainId*string
occupationType?string
Value in"OWN_ACCOMMODATION""RENTAL_CARAVAN"
rentPeriod?
price?number|null
description?string|null
paidUntil?string
Formatdate-time
invoicedUntil?string
Formatdate-time
startReadings?array<>

Response Body

OK

application/json
  1. response
curl -X POST 'https://api.tillor.eu/orgs/string/occupations' \  -H 'Content-Type: application/json' \  -d '{  "customerId": "string",  "terrainId": "string"}'
null